Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Tue, 06 Jan 2009 19:25:45 +0100

> Yes, it works perfectly for Dired when `split-width-threshold' is nil.

Fine.

 > But the problem is that I prefer a wide-screen configuration with
 > horizontally split windows, so I can't set `split-width-threshold' to nil.
 >
 > There are a few exceptions where obeying non-nil `split-width-threshold'
 > is not desirable.  One exception is displaying a list of files in Dired,
 > and another is displaying the Calendar window.  Maybe there are a few
 > of others.

So the only thing we have to decide is whether we want to hardcode this
in `dired-pop-to-buffer' (and for the Calendar window and others) or
make it optional.

martin